<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){	
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/customer/cari.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(kode);
				$("#txt_nama").val(data.nama);
				$("#txt_alamat").val(data.alamat);
				$("#txt_telepon").val(data.telepon);
				$("#txt_fax").val(data.fax);
				$("#txt_nobank").val(data.nobank);
				$("#txt_kontak").val(data.tkontak);
				$("#info").html("Data sudah di tampung pada tab inputan, silahkan klik");
			}
		});
	}
		
	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
			var kode = ID;
			$.ajax({
				type	: "POST",
				url		: "modul/customer/hapus.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$("#tampil_data").load('modul/customer/tampil_data.php');
				}
			});
		}
	}

</script>
<?php
include '../../inc/inc.koneksi.php';

$cari	= $_GET['cari'];

echo "<table id='theList' width='100%'>		
		<tr>
			<th width='2%'>No.</th>
			<th>Kode</th>
			<th>Nama Pelanggan</th>
			<th>Alamat</th>
			<th>Telepon</th>
			<th>Faxcimile</th>
			<th>Kode Bank</th>
			<th>Nama Bank</th>
			<th>Contact Person</th>
			<th>Aksi</th>
		</tr>";
		if (!empty($cari)){
			$sql= "SELECT * FROM customer WHERE nama LIKE '%$cari%' ORDER BY kode_pl";
		}else{
			$sql= "SELECT * FROM customer ORDER BY kode_pl";
		}
		$query = mysql_query($sql);
		
		$no=1;
		while($r_data=mysql_fetch_array($query)){
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r_data[kode_pl]</td>
				<td>$r_data[nama]</td>
				<td>$r_data[alamat]</td>
				<td>$r_data[telepon]</td>
				<td>$r_data[fax]</td>
				<td>$r_data[nobank]</td>
				<td>$r_data[nabank]</td>
				<td>$r_data[kontak]</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$r_data[kode_pl]')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' >
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[kode_pl]')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>					
				</td>
			</tr>";
			$no++;
		}
	echo "</table>";
?>